Page MenuHomeFreeBSD

devel/gdb: Upgrade to gdb 8.1
ClosedPublic

Authored by pizzamig on Jan 31 2018, 4:36 PM.

Details

Summary

Initial work to upgrade gdb to version 8.1

Currently, it build correctly if kgdb is disabled
kgdb code has to be ported to gdb 8.1
It looks to me that fbsd-kvm.c and fbsd-kld,c needs to be ported to use lm_info_base instead of lm_info

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pizzamig created this revision.Jan 31 2018, 4:36 PM
jhb added a comment.Jan 31 2018, 5:39 PM

That was quick! I'll work on forward-porting kgdb in the next few days.

jhb updated this revision to Diff 40112.Mar 9 2018, 7:49 PM
  • Update the kgdb bits for 8.1.
  • Backport some patches comitted upstream to GDB post 8.1. One set of patches adds support for 'info proc' on both live processes and core dumps. Another set are some fixes that fixed about 20 test failures in GDB's test suite.
  • Explicitly override the osabi for kgdb so that kgdb will work when only the symbols file for a kernel is used.
jhb added a comment.Mar 9 2018, 7:53 PM

Sorry for the delay. Hope it is ok that I uploaded a modified version of your previous patch. I only changed kgdb bits and added the commits I mentioned above ('info proc', etc.). The changes for 8.1 (in case the logs are any help with composing the port commit log) are here: https://github.com/bsdjhb/gdb/compare/510a598...freebsd-8.1-kgdb

jhb updated this revision to Diff 40118.Mar 9 2018, 11:12 PM
  • Unwind syscall trapframes in PTI kernels properly ("fast_syscall_common").
This revision was not accepted when it landed; it landed in state Needs Review.Mar 14 2018, 2:33 PM
This revision was automatically updated to reflect the committed changes.